@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  border: none;
  outline: none;
  scroll-behavior: smooth;
  font-family: "Poppins", sans-serif;
}

:root {
  --bg-color: #181820;
  --second-bg-color: #202332;
  --text-color: #ededed;
  --main-color: #94a2d1;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  background: var(--bg-color);
  color: var(--text-color);
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 2rem 9%;
  background: transparent;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
  transition: 0.3s;
}

.header.sticky {
  background: var(--bg-color);
}

.logo {
  position: relative;
  font-size: 2.5rem;
  color: var(--text-color);
  font-weight: 600;
}

.navbar {
  position: relative;
}

.navbar a {
  font-size: 1.7rem;
  color: var(--text-color);
  font-weight: 500;
  margin-left: 3.5rem;
  transition: 0.3s;
}

.navbar a:hover,
.navbar a.active {
  color: var(--main-color);
}

#menu-icon {
  position: relative;
  font-size: 3.6rem;
  color: var(--text-color);
  cursor: pointer;
  display: none;
}

section {
  min-height: 100vh;
  padding: 10rem 9% 2rem;
}

.home {
  background: url("home.jpg") no-repeat;
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  padding: 0 9%;
}

.home-content {
  max-width: 60rem;
  z-index: 99;
}

.home-content h1 {
  position: relative;
  display: inline-block;
  font-size: 5.6rem;
  font-weight: 700;
  line-height: 1.3;
}

.home-content h1 span {
  color: var(--text-color);
}

.home-content .text-animate {
  position: relative;
  width: 32.8rem;
}

.home-content .text-animate h3 {
  font-size: 3.2rem;
  font-weight: 700;
  color: transparent;
  -webkit-text-stroke: .7px var(--main-color);
  background-image: linear-gradient(var(--main-color), var(--main-color));
  background-repeat: no-repeat;
  -webkit-background-clip: text;
  background-position: -33rem 0;
}

.home.show-animate .home-content .text-animate h3 {
  animation: homeBgText 6s linear infinite;
  animation-delay: 2s;
}

.home-content .text-animate h3::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  border-right: 2px solid var(--main-color);
  z-index: -1;
}

.home.show-animate .home-content .text-animate h3::before {
  animation: homeCursorText 6s linear infinite;
  animation-delay: 2s;
}


.home-content p {
  position: relative;
  font-size: 1.6rem;
  margin: 2rem 0 4rem;
}

.btn-box {
  position: relative;
  display: flex;
  justify-content: space-between;
  width: 34.5rem;
  height: 5rem;
}

.btn-box .btn {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 15rem;
  height: 100%;
  background: var(--main-color);
  border: 0.2rem solid var(--main-color);
  border-radius: 0.8rem;
  font-size: 1.8rem;
  font-weight: 600;
  letter-spacing: 0.1rem;
  color: var(--bg-color);
  z-index: 1;
  overflow: hidden;
  transition: 0.5s; /**/
}

.btn-box .btn:hover {
  color: var(--main-color);
}

.btn-box .btn:nth-child(2) {
  background: transparent;
  color: var(--main-color);
}

.btn-box .btn:nth-child(2):hover {
  color: var(--bg-color);
}

.btn-box .btn:nth-child(2)::before {
  background: var(--main-color);
}

.btn-box .btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  z-index: -1;
  transition: 0.5s;
  background: var(--bg-color);
}

.btn-box .btn:hover::before {
  width: 100%;
}

.home-sci {
  position: absolute;
  bottom: 4rem;
  width: 170px;
  display: flex;
  justify-content: space-between;
}

.home-sci a {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  background: transparent;
  border: 0.2rem solid var(--main-color);
  border-radius: 50%;
  font-size: 20px;
  color: var(--main-color);
  z-index: 1;
  overflow: hidden;
  transition: 0.5s;
}

.home-sci a:hover {
  color: var(--bg-color);
}

.home-sci a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: var(--main-color);
  z-index: -1;
  transition: 0.5s;
}

.home-sci a:hover::before {
  width: 100%;
}

.home-imgHover {
  position: absolute;
  top: 0;
  right: 0;
  width: 40%;
  height: 100%;
  background: transparent;
  transition: 3s;
}

.home-imgHover:hover {
  background: var(--bg-color);
  opacity: 0.8;
}

span {
  color: var(--main-color);
}

.btn-box.btns {
  display: inline-block;
  width: 15rem;
}

.btn-box.btns a::before {
  background: var(--second-bg-color);
}


/* ANIMATION RELOAD AND SCROLL */
.animate {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: var(--bg-color);
  z-index: 98;
}

.animate.home-img {
  width: 50%;
}

.logo .animate,
.home.show-animate .animate {
  animation: showRight 1s ease forwards;
  animation-delay: calc(.3s * var(--i));
}

/* BREAKPOINTS */
@media (max-width: 1200px) {
  html {
    font-size: 55%;
  }
}

@media (max-width: 991px) {
  .header {
    padding: 2rem 4%;
  }

  section {
    padding: 10rem 4% 2rem;
  }

  .home {
    padding: 0 4%;
  }
}

@media (max-width: 768px) {
  .header {
    background: var(--bg-color);
  }

  .home-imgHover {
    pointer-events: none;
    background: var(--bg-color);
    opacity: 0.6;
  }
}

@media (max-width: 850px) {
  .animate.home-img {
    width: 55%;
  }
}

@media (max-width: 520px) {
  html {
    font-size: 50%;
  }

  .home-content h1 {
    display: flex;
    flex-direction: column;
  }

  .home-sci {
    width: 160px;
  }

  .home-sci a {
    width: 38px;
    height: 38px;
  }
}

@media (max-width: 462px) {
  .home-content h1 {
    font-size: 5.2rem;
  }
}

@media (max-width: 371px) {
  .home {
    justify-content: center;
  }

  .home-content {
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
  }

  .home-content h1 {
    font-size: 5rem;
  }
}

/*KEYFRAMES ANIMATION*/

@keyframes homeBgText {

  0%,
  10%,
  100% {
    background-position: -33rem 0;
  }

  65%,
  85% {
    background-position: 0 0;
  }

}

@keyframes homeCursorText {

  0%,
  10%,
  100% {
    width: 0;
  }

  65%,
  78%,
  85% {
    width: 100%;
    opacity: 1;
  }

  75%,
  81% {
    opacity: 0;
  }
  
}


@keyframes aboutSpinner{
  100%{
    transform: translate(-50%, -50%) rotate(360deg);
  }
}

@keyframes showRight {
  100% {
    width: 0;
  }
}